"use strict";
var TreeRepository_1 = require("./TreeRepository");
var Repository_1 = require("./Repository");
var SpecificRepository_1 = require("./SpecificRepository");
/**
 * Factory used to create different types of repositories.
 */
var RepositoryFactory = (function () {
    function RepositoryFactory() {
    }
    // -------------------------------------------------------------------------
    // Public Methods
    // -------------------------------------------------------------------------
    /**
     * Creates a regular repository.
     */
    RepositoryFactory.prototype.createRepository = function (connection, metadata, queryRunnerProvider) {
        return new Repository_1.Repository(connection, metadata, queryRunnerProvider);
    };
    /**
     * Creates a tree repository.
     */
    RepositoryFactory.prototype.createTreeRepository = function (connection, metadata, queryRunnerProvider) {
        return new TreeRepository_1.TreeRepository(connection, metadata, queryRunnerProvider);
    };
    /**
     * Creates a specific repository.
     */
    RepositoryFactory.prototype.createSpecificRepository = function (connection, metadata, repository, queryRunnerProvider) {
        return new SpecificRepository_1.SpecificRepository(connection, metadata, queryRunnerProvider);
    };
    return RepositoryFactory;
}());
exports.RepositoryFactory = RepositoryFactory;

//# sourceMappingURL=RepositoryFactory.js.map
